【Locked需求】SDK需求
2022-08-01 14:53 - 方案组-RD3_CDTS 王浩云

Status: 完成 Closed Start date: 2022-08-01

Priority: Normal Due date: 2022-09-19

Assignee: CD FW-王伟 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

这里存放SDK需求，需求文档存放链接：https://thundersoft.feishu.cn/docs/doccnkrdoAFazbSmjxuuK4LWC2g

1. SDK需要支持IOS终端，安卓终端

2. 接收到请求后，功能响应时间小于100ms

3. 功能点：

*遥控器切换：*切换为副驾遥控器/后排遥控器

*设备开关：*控制副屏熄屏+屏保待机，控制后排熄屏+屏保待机+关机

*回到主页：*点击home按钮，屏幕返回home

*音量调节：*实时调节副屏的媒体音量大小

*全局返回：*用户点击返回按钮，屏幕侧返回至上一页，

*APPlist：*同步屏幕侧所有的APPlist

*快捷中心list同步：*快捷中心的功能清单推送至手机APP，手机端执行，开启，关闭等操作时，屏幕端同步响应

*确认/取消：*按钮接口，用于选中和取消选中

*模拟光标：*屏幕侧需要展示出光标移动的轨迹，同时当用户单点一次，理解为打开某个应用，或者确定选项，屏幕侧需要执行下一步

4. 容错机制：

    1. 需要通过心跳检测，间隔30s，检查通信是否中断

    2. 通信断开后，在5个心跳包周期内，需反馈当前连接状态至手机APP，由APP建立重连机制

    3. 多设备同时连接同一块屏幕，最后连接的设备具备屏幕的控制权

    4. 中控连接的优先级最高，多台设备连接时，保证中控不被挤掉

Related issues:

Related to Figure - 需求 Requirement # 111237: 【需求变更】-遥控器SD... 完成 Closed 2022-08-12 2022-09-30

Copied from Figure - 需求 Requirement # 110907: 【Locked需求】手... 完成 Closed 2022-08-03 2022-08-22

History

#1 - 2022-08-01 16:03 - CD FW-王伟

收到，待我将概要设计做好之后，会升级状态转给测试。

#2 - 2022-09-16 09:53 - CD SWPM-杨宏伟

- Target version changed from 589 to VX1_MCE_FSE_V2.0_20220930

#3 - 2022-10-10 20:17 - CD FW-王伟

- Status changed from New to 完成 Closed

- % Done changed from 0 to 100
https://thundersoft.feishu.cn/docs/doccnkrdoAFazbSmjxuuK4LWC2g


概要设计，功能开发均已经完成。关闭此票。
